/**
 * Copyright (c) 2012-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.extension.command.monitoring;

import java.util.Arrays;
import java.util.List;

import org.apache.commons.cli.Options;
import org.ow2.petals.cli.api.shell.Shell;
import org.ow2.petals.cli.extension.command.monitoring.mo.api.MonitoringObject;
import org.ow2.petals.cli.extension.command.monitoring.mo.api.MonitoringSubFunction;
import org.ow2.petals.cli.extension.command.monitoring.mo.api.exception.MonitoringSubFunctionException;

public class DummyMO2DifferentSubFcts implements MonitoringObject {

    public final static String NAME = "dummy-mo";

    public final static String SUBFCT1_NAME = "dummy-fct-1";

    public final static String SUBFCT2_NAME = "dummy-fct-2";

    private final MonitoringSubFunction[] SUBFUNCTIONS = new MonitoringSubFunction[] {
            new MonitoringSubFunction() {

                @Override
                public String getName() {
                    return SUBFCT1_NAME;
                }

                @Override
                public String getDescription() {
                    return null;
                }

                @Override
                public Options getOptions() {
                    return null;
                }

                @Override
                public void execute(final String[] args) throws MonitoringSubFunctionException {
                }

                @Override
                public void setShell(final Shell shell) {
                }

                @Override
                public void resetOptions() {
                }

                @Override
                public Shell getShell() {
                    return null;
                }
            }, new MonitoringSubFunction() {

                @Override
                public String getName() {
                    return SUBFCT2_NAME;
                }

                @Override
                public String getDescription() {
                    return null;
                }

                @Override
                public Options getOptions() {
                    return null;
                }

                @Override
                public void execute(final String[] args) throws MonitoringSubFunctionException {
                }

                @Override
                public void setShell(final Shell shell) {
                }

                @Override
                public void resetOptions() {
                }

                @Override
                public Shell getShell() {
                    return null;
                }
            } };

    @Override
    public List<MonitoringSubFunction> getSubFunctions() {
        return Arrays.asList(SUBFUNCTIONS);
    }

    @Override
    public String getName() {
        return NAME;
    }

    @Override
    public String getDescription() {
        return null;
    }

}
